Apply approved ripple changes with SSE progress
POST
/api/canvas/{deal_id}/ripple/apply
const url = 'https://example.com/api/canvas/example/ripple/apply';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"preview_token":"example","approved_sections":[{"section_key":"example","tier":1}],"include_exec_summary":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/example/ripple/apply \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "preview_token": "example", "approved_sections": [ { "section_key": "example", "tier": 1 } ], "include_exec_summary": true }'Apply previously previewed ripple changes to memo sections.
Returns an SSE stream with per-section progress events, ending with
a ripple_done event containing a rollback_token for the undo endpoint.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
Request Body required
Section titled “Request Body required ” Media type application/json
RippleApplyRequest
Request body for applying approved ripple changes.
object
preview_token
required
Preview Token
Token from the preview response
string
approved_sections
required
Approved Sections
Sections to update, with their approved tier
Array<object>
ApprovedSectionobject
section_key
required
Section Key
string
tier
required
Tier
integer
include_exec_summary
Include Exec Summary
Whether to regenerate executive summary (if recommended)
boolean
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}